GNU bug report logs - #18957
25.0.50; document #: in Elisp manual

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: minor; Reported by: Drew Adams <drew.adams@HIDDEN>; dated Wed, 5 Nov 2014 16:45:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <help-debbugs@HIDDEN> to internal_control <at> debbugs.gnu.org. Full text available.
Disconnected #18957 from all other report(s). Request was from Noam Postavsky <npostavs@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 18957 30478. Request was from Noam Postavsky <npostavs@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 18957 <at> debbugs.gnu.org:


Received: (at 18957) by debbugs.gnu.org; 30 Apr 2016 15:02:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Apr 30 11:02:11 2016
Received: from localhost ([127.0.0.1]:57887 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1awWPK-00033J-SC
	for submit <at> debbugs.gnu.org; Sat, 30 Apr 2016 11:02:11 -0400
Received: from hermes.netfonds.no ([80.91.224.195]:57471)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1awWPJ-00030c-6B
 for 18957 <at> debbugs.gnu.org; Sat, 30 Apr 2016 11:02:09 -0400
Received: from cm-84.215.1.64.getinternet.no ([84.215.1.64] helo=mouse)
 by hermes.netfonds.no with esmtpsa (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.84_2) (envelope-from <larsi@HIDDEN>)
 id 1awWPG-0003V4-Fr; Sat, 30 Apr 2016 17:02:08 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Drew Adams <drew.adams@HIDDEN>
Subject: Re: bug#18957: 25.0.50; document #: in Elisp manual
References: <80a3c571-f8a5-46ba-95e9-7da688383381@default>
Date: Sat, 30 Apr 2016 17:02:06 +0200
In-Reply-To: <80a3c571-f8a5-46ba-95e9-7da688383381@default> (Drew Adams's
 message of "Wed, 5 Nov 2014 08:43:50 -0800 (PST)")
Message-ID: <87twijnnrl.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.1.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 18957
Cc: 18957 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

Drew Adams <drew.adams@HIDDEN> writes:

> `#:' should be documented properly in the Elisp manual.  There are just
> a few in-passing references to it, which do not explain it.
>
> The Lisp reader should be documented well, from a user point of view,
> with everything affecting it explained - preferably in one place.
>
> That includes `#<', `#:', `#N=', `#N#', `#@COUNT', `#$', `#.', comments,
> number syntax (including non-10 radix), \-escaped newlines and spaces,
> hash tables.

I think most of these are explained in the sections where the objects
they describe appears, but it would be nice to have a section that just
describes them all, yes.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#18957; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 5 Nov 2014 16:44:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Nov 05 11:44:23 2014
Received: from localhost ([127.0.0.1]:50250 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Xm3h1-00034i-0o
	for submit <at> debbugs.gnu.org; Wed, 05 Nov 2014 11:44:23 -0500
Received: from eggs.gnu.org ([208.118.235.92]:43749)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <drew.adams@HIDDEN>) id 1Xm3gz-00034b-Nu
 for submit <at> debbugs.gnu.org; Wed, 05 Nov 2014 11:44:22 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <drew.adams@HIDDEN>) id 1Xm3gp-0007KE-4I
 for submit <at> debbugs.gnu.org; Wed, 05 Nov 2014 11:44:21 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.0 required=5.0 tests=BAYES_40 autolearn=disabled
 version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:40334)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <drew.adams@HIDDEN>) id 1Xm3gp-0007K5-1Y
 for submit <at> debbugs.gnu.org; Wed, 05 Nov 2014 11:44:11 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:45312)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <drew.adams@HIDDEN>) id 1Xm3gg-0000zz-B4
 for bug-gnu-emacs@HIDDEN; Wed, 05 Nov 2014 11:44:10 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <drew.adams@HIDDEN>) id 1Xm3gX-0007BW-Ka
 for bug-gnu-emacs@HIDDEN; Wed, 05 Nov 2014 11:44:02 -0500
Received: from userp1040.oracle.com ([156.151.31.81]:39758)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <drew.adams@HIDDEN>) id 1Xm3gX-0007BF-Dq
 for bug-gnu-emacs@HIDDEN; Wed, 05 Nov 2014 11:43:53 -0500
Received: from acsinet21.oracle.com (acsinet21.oracle.com [141.146.126.237])
 by userp1040.oracle.com (Sentrion-MTA-4.3.2/Sentrion-MTA-4.3.2) with ESMTP id
 sA5Ghp6U009347
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=OK)
 for <bug-gnu-emacs@HIDDEN>; Wed, 5 Nov 2014 16:43:52 GMT
Received: from userz7021.oracle.com (userz7021.oracle.com [156.151.31.85])
 by acsinet21.oracle.com (8.14.4+Sun/8.14.4) with ESMTP id sA5Gho0O017253
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=FAIL)
 for <bug-gnu-emacs@HIDDEN>; Wed, 5 Nov 2014 16:43:51 GMT
Received: from abhmp0015.oracle.com (abhmp0015.oracle.com [141.146.116.21])
 by userz7021.oracle.com (8.14.4+Sun/8.14.4) with ESMTP id sA5GhnS9015477
 for <bug-gnu-emacs@HIDDEN>; Wed, 5 Nov 2014 16:43:50 GMT
MIME-Version: 1.0
Message-ID: <80a3c571-f8a5-46ba-95e9-7da688383381@default>
Date: Wed, 5 Nov 2014 08:43:50 -0800 (PST)
From: Drew Adams <drew.adams@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 25.0.50; document #: in Elisp manual
X-Priority: 3
X-Mailer: Oracle Beehive Extensions for Outlook 2.0.1.8.2  (807160) [OL
 12.0.6691.5000 (x86)]
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: quoted-printable
X-Source-IP: acsinet21.oracle.com [141.146.126.237]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.4.x-2.6.x [generic]
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.0 (----)

`#:' should be documented properly in the Elisp manual.  There are just
a few in-passing references to it, which do not explain it.

The Lisp reader should be documented well, from a user point of view,
with everything affecting it explained - preferably in one place.

That includes `#<', `#:', `#N=3D', `#N#', `#@COUNT', `#$', `#.', comments,
number syntax (including non-10 radix), \-escaped newlines and spaces,
hash tables.

In GNU Emacs 25.0.50.1 (i686-pc-mingw32)
 of 2014-10-20 on LEG570
Bzr revision: 118168 rgm@HIDDEN
Windowing system distributor `Microsoft Corp.', version 6.1.7601
Configured using:
 `configure --enable-checking=3Dyes,glyphs CPPFLAGS=3D-DGLYPH_DEBUG=3D1'




Acknowledgement sent to Drew Adams <drew.adams@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#18957; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 16 Feb 2018 12:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.